%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Visual diff and merge tool
Name:		meld
Version:	3.22.1
Release:	%mkrel 1
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	GPLv2+
URL:	http://meldmerge.org/
Group:	File tools
BuildRequires:	itstool
BuildRequires:	%{_lib}python3-devel
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	libxml2-utils
Requires: %{_lib}gtksourceview3.0_1
Requires: python-gobject3
Requires: python3-gobject3
Requires: patch
Requires: pygtk2.0
Requires: pygtk2.0-libglade
Requires: gtk-unico-engine >= 1.0.3

%description
Meld is a visual diff and merge tool targeted at developers. It helps you
compare files, directories, and version controlled projects. It provides two-
and three-way comparison of both files and directories, and the tabbed interface
allows you to open many diffs at once.
Meld has has support for many popular version control systems including Git,
Mercurial, Bazaar, SVN and CVS. The diff viewer lets you edit files in place
(diffs update dynamically), and a middle column shows detailed changes and
allows merges. The margins show location of changes for easy navigation.

%post
glib-compile-schemas /usr/share/glib-2.0/schemas/ &>/dev/null || :
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
%update_menus

%postun
%clean_menus


%package        doc
Summary:        %{name} Documentation
Group:          Documentation
Requires:		%name

%description    doc
This package contains documentation for %{name}.

%prep
%setup -q
%autopatch -p1

%build
python3 setup.py build

%install
python3 setup.py --no-update-icon-cache --no-compile-schemas install --root %{buildroot}

%find_lang %{name} --with-gnome

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="GTK"\
	--add-category="X-MandrivaLinux-MoreApplications-Editors" \
	--set-icon="org.gnome.Meld" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*

# org.gnome.Meld

rm -rf %{buildroot}%{_datadir}/doc/%{name}-%{version}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_iconsdir}/*/*/*/
%{python3_sitelib}/%{name}/*
%{python3_sitelib}/%{name}-*-info
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_datadir}/mime/packages/org.gnome.%{name}.xml
%{_datadir}/metainfo/org.gnome.%{name}.appdata.xml

%files doc
%{_mandir}
%{_datadir}/help


%changelog
* Sun Mar 10 2024 onkelho <oh.quait at gmail.com> - 3.22.1-1quait2024
- fix icon in desktop-file-install
- new version released on 2024-Feb-18 03:57
